Bug 1246904 - Review Request: gnome-shell-extension-panel-osd - An extension to configure the place where notifications are shown
Summary: Review Request: gnome-shell-extension-panel-osd - An extension to configure t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-26 19:44 UTC by Jens Lody
Modified: 2015-11-30 21:21 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-29 06:23:00 UTC
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Jens Lody 2015-07-26 19:44:44 UTC
Spec URL: https://rpm.jenslody.de/review/gnome-shell-extension-panel-osd.spec
SRPM URL: https://rpm.jenslody.de/review/gnome-shell-extension-panel-osd-1-0.1.20150726.git9330787.fc22.src.rpm
Description: gnome-shell-extension-panel-osd is an extension to show the notification messages at any (configurable) place on the (primary) monitor.
Fedora Account System Username: jenslody

This is my first package and I need a sponsor.

I maintain the upstream-sources at https://github.com/jenslody/gnome-shell-extension-panel-osd and the extension on gnome.org: https://extensions.gnome.org/extension/708/panel-osd/

Successful builds can be found on my copr-site: https://copr.fedoraproject.org/coprs/jenslody/gnome-shell-extensions/ and as scratch-build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10488607 .

I also add a review-request and a request for a sponsor for the other gnome-shell-extension maintained by me, I will add a link if I know the ticket number.

Comment 1 Jens Lody 2015-07-26 19:48:18 UTC
This is the review-request for my other extension: https://bugzilla.redhat.com/show_bug.cgi?id=1246903

Comment 2 Jens Lody 2015-08-18 11:23:13 UTC
https://rpm.jenslody.de/review/gnome-shell-extension-panel-osd.spec
https://rpm.jenslody.de/review/gnome-shell-extension-panel-osd-1-0.1.20150818.git67968c8.fc22.src.rpm

New (tiny updates) versions of sources and spec-file.
fedora-review finds no issues, except the issue with owning directories owned by other packages.
But this is a must for gnome-shell-extensions, that do not require gnome-shell-extensions-common.
They can be the only package that uses these directories and therefore they have to own them.

Here comes the informal review of one of my two gnome-shell-extensions.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "GPL (v3 or later)". Detailed output of
     licensecheck in /home/jens/gnome-shell-extension-panel-
     osd/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/gnome-
     shell/extensions(gnome-shell-extension-background-logo, gnome-shell-
     extension-common)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in gnome-shell-extension-panel-osd
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Package should not use obsolete m4 macros


Rpmlint
-------
Checking: gnome-shell-extension-panel-osd-1-0.1.20150818.git67968c8.fc24.noarch.rpm
          gnome-shell-extension-panel-osd-1-0.1.20150818.git67968c8.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: Datei oder Verzeichnis nicht gefunden
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
gnome-shell-extension-panel-osd (rpmlib, GLIBC filtered):
    /bin/sh
    gnome-shell



Provides
--------
gnome-shell-extension-panel-osd:
    gnome-shell-extension-panel-osd



Source checksums
----------------
https://github.com/jenslody/gnome-shell-extension-panel-osd/tarball/master/jenslody-gnome-shell-extension-panel-osd-67968c8.tar.gz :
  CHECKSUM(SHA256) this package     : c882ed59a8633451acde0c1d754815f6eff232cef3c1b3cc78f5a7983dda7324
  CHECKSUM(SHA256) upstream package : c882ed59a8633451acde0c1d754815f6eff232cef3c1b3cc78f5a7983dda7324


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -r -m fedora-rawhide-x86_64 -n Downloads/gnome-shell-extension-panel-osd-1-0.1.20150818.git67968c8.fc22.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Jens Lody 2015-08-18 11:47:29 UTC
Successful (actual) copr-builds: http://copr.fedoraproject.org/coprs/jenslody/gnome-shell-extensions/monitor/
koji seems to be unavailable at the moment (there is an upgrade running if I remember correctly).

Comment 5 Jens Lody 2015-08-21 08:07:14 UTC
copr-builds now available:
http://copr.fedoraproject.org/coprs/jenslody/gnome-shell-extensions/build/110257/

Comment 7 Jens Lody 2015-09-18 00:05:12 UTC
Date is now fixed in new spec-file, so we always get the checkout-date and not the build date in package-revision.

https://rpm.jenslody.de/review/gnome-shell-extension-panel-osd.spec
https://rpm.jenslody.de/review/gnome-shell-extension-panel-osd-1-0.2.20150917git5b0c8ce.el7.centos.src.rpm

Comment 8 Jens Lody 2015-09-20 20:20:35 UTC
New srpm that fixes a minor-issue and has newest upstream (bug-fix in version-check and updated traditional chines translation):
https://rpm.jenslody.de/review/gnome-shell-extension-panel-osd-1-0.2.20150920gitd44e669.el7.centos.src.rpm

Comment 10 Jens Lody 2015-10-04 10:02:44 UTC
New upstream srpm (bugfix, x-position after disabling):
https://rpm.jenslody.de/review/gnome-shell-extension-panel-osd-1-0.2.20151002git1f87427.el7.centos.src.rpm

Comment 11 Jens Lody 2015-11-18 20:38:17 UTC
Latest upstream, mainly ttranslation and compatiblity with gnome-shell 3.19.1 .
https://rpm.jenslody.de/review/gnome-shell-extension-panel-osd-1-0.3.20151118git61c1bd4.el7.centos.src.rpm

Successful copr-builds: https://copr.fedoraproject.org/coprs/jenslody/gnome-shell-extensions/monitor/

Comment 12 Jerry James 2015-11-20 17:46:15 UTC
I will take this review.  Would you mind taking bug 1282132 in exchange?

Comment 13 Jens Lody 2015-11-20 20:08:53 UTC
(In reply to Jerry James from comment #12)
> I will take this review.  Would you mind taking bug 1282132 in exchange?

Taken, thank you !

Comment 14 Jerry James 2015-11-20 20:24:54 UTC
This is a very clean package.  I only see two issues, both extremely minor:
- The %configure macro already includes --prefix=%{_prefix}, so supplying it
  again is redundant (but not harmful); see the definition of %configure in
  /usr/lib/rpm/redhat/macros.
- There is no %check script (this is a SHOULD, not a MUST).

I won't delay the package for either, so this package is APPROVED.  Fix either or both of those issues when you import the package, at your discretion.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gnome-shell-extension-panel-osd-1-0.3.20151118git61c1bd4.fc24.noarch.rpm
          gnome-shell-extension-panel-osd-1-0.3.20151118git61c1bd4.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
gnome-shell-extension-panel-osd (rpmlib, GLIBC filtered):
    gnome-shell



Provides
--------
gnome-shell-extension-panel-osd:
    gnome-shell-extension-panel-osd



Source checksums
----------------
https://github.com/jenslody/gnome-shell-extension-panel-osd/tarball/master/jenslody-gnome-shell-extension-panel-osd-61c1bd4.tar.gz :
  CHECKSUM(SHA256) this package     : f50a749a5a3fba151522b1035cd1c7174b571bb7dc89fc5d06b67f35d21dd2e6
  CHECKSUM(SHA256) upstream package : f50a749a5a3fba151522b1035cd1c7174b571bb7dc89fc5d06b67f35d21dd2e6


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1246904 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 15 Jens Lody 2015-11-20 22:20:21 UTC
(In reply to Jerry James from comment #14)
> This is a very clean package.  I only see two issues, both extremely minor:
> - The %configure macro already includes --prefix=%{_prefix}, so supplying it
>   again is redundant (but not harmful); see the definition of %configure in
>   /usr/lib/rpm/redhat/macros.
I will remove it before importing.

> - There is no %check script (this is a SHOULD, not a MUST).
> 
I don't know if it would be possible, or how difficult it would be to create meaningful tests.

> I won't delay the package for either, so this package is APPROVED.  Fix
> either or both of those issues when you import the package, at your
> discretion.

Thank you for the review.

Comment 16 Gwyn Ciesla 2015-11-20 22:43:25 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/gnome-shell-extension-panel-osd

Comment 17 Fedora Update System 2015-11-20 23:24:12 UTC
gnome-shell-extension-panel-osd-1-0.4.20151120gitb82b69d.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-02950e984c

Comment 18 Fedora Update System 2015-11-20 23:24:44 UTC
gnome-shell-extension-panel-osd-1-0.4.20151120gitb82b69d.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-76dcbe4208

Comment 19 Fedora Update System 2015-11-21 17:50:39 UTC
gnome-shell-extension-panel-osd-1-0.4.20151120gitb82b69d.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-shell-extension-panel-osd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-76dcbe4208

Comment 20 Fedora Update System 2015-11-22 14:25:14 UTC
gnome-shell-extension-panel-osd-1-0.4.20151120gitb82b69d.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-shell-extension-panel-osd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-02950e984c

Comment 21 Fedora Update System 2015-11-29 06:22:58 UTC
gnome-shell-extension-panel-osd-1-0.4.20151120gitb82b69d.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-11-30 21:21:25 UTC
gnome-shell-extension-panel-osd-1-0.4.20151120gitb82b69d.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.